Loading...
Searching...
No Matches
bsoncxx::v_noabi::vector::elements Namespace Reference

## Description

Declares element accessor types for BSON Binary Vector.

## Classes

class | float32
| A 32-bit float value in packed little-endian format. More...
class | packed_bit_byte
| Reference to a byte or partial byte within a vector of packed_bit elements. Allows access to each byte as a uint8_t, while masking off writes to reserved bits. More...
class | packed_bit_element
| Reference to a single element in a packed_bit vector. More...

## Functions

template<typename Iterator>
void | swap (packed_bit_byte< Iterator > a, packed_bit_byte< Iterator > b) noexcept
| Swap the referenced values for a and b.
template<typename Iterator>
void | swap (packed_bit_element< Iterator > a, packed_bit_element< Iterator > b) noexcept
| packed_bit_element is Swappable even when it's not an lvalue reference

## Function Documentation

## swap() [1/2]

template<typename Iterator>

void bsoncxx::v_noabi::vector::elements::swap | ( | packed_bit_byte< Iterator > | a,
|  | packed_bit_byte< Iterator > | b )

noexcept

Swap the referenced values for a and b.

Note
  packed_bit_byte<Iterator> is a proxy reference and behaves like an lvalue reference.

## swap() [2/2]

template<typename Iterator>

void bsoncxx::v_noabi::vector::elements::swap | ( | packed_bit_element< Iterator > | a,
|  | packed_bit_element< Iterator > | b )

noexcept

packed_bit_element is Swappable even when it's not an lvalue reference